required_libraries = c("ggplot2")
for (libname in required_libraries) {
    if (!require(libname, character.only = TRUE)) {
        install.packages(libname, dependencies = TRUE)
        library(libname, character.only = TRUE)
    }
}

source("dataloader.r")

df_day_of_week = data.frame(table(ordered(df_uuids$day_of_week, levels=c("Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday", "Sunday"))))

ggplot(df_day_of_week, aes(x = Var1, y = Freq)) + geom_bar(stat = "identity", fill = "steelblue") + labs(title = "Good day to post your dataset", x = "Day of week", y = "The number of datasets") + theme(plot.title = element_text(hjust = 0.5))

# save the plot as a png file.
ggsave("day_of_week.png", width = 20, height = 10, units = "cm")
